Scolring - Forum

Entraides et échanges autour de la technologie Scol - Informations and exchanges on the Scol technology

Vous pouvez changer la langue de l'interface une fois inscrit - You can change the language once registered

You are not logged in.

#1 15-Jun-2019 15:17:45

Xaxou
Member
From: Orléans
Registered: 15-Jun-2019
Posts: 4

Openspace3D and Linux - Error launching

Hi all!

I just installed Openspace3d using Wine, as described in other topics:
https://www.scolring.org/forum/viewtopic.php?id=1168
https://www.scolring.org/forum/viewtopic.php?pid=8769

When launching it, I get following error message:
"This version of OpenSpace3D player is not compatible with your Scol Voy@ger version, please perform an update or ask the webmaster to uptade his projects" (it is really "uptade").
I don't know which versions I have. It should be 1.80 since I downloaded all files this afternoon using http://www.openspace3d.com/downloads/Op … d%20Editor

Does anyone know which error it is, and what I could do to make OS3D work properly? Could it be that the "hack" was made for 1.7?

Thanks in advance,
Xavier

Offline

#2 17-Jun-2019 08:29:54

arkeon
Admin. / Scol language & OpenSpace3D developer
From: Nantes
Registered: 30-Mar-2009
Posts: 4,821
Website

Re: Openspace3D and Linux - Error launching

Yes the netcom hack could possibly work, since the issue is from the security dll.

Offline

#3 17-Jun-2019 09:39:43

Xaxou
Member
From: Orléans
Registered: 15-Jun-2019
Posts: 4

Re: Openspace3D and Linux - Error launching

Thanks for your response arkeon! Unfortunately, it does not work either (same message). I will try to make the same installation with another computer and another OS, to check whether the versions in the downloaded files are consistent.

By the way, why does OS3D natively work under Windows? Is it specific to OS3D, or does it come from Scol? I've seen that Iri's website offers a Scol beta for Linux (v4.5), is it worth trying to install it first?
http://www.irizone.net/irizone5/telecha … le=voyager

Offline

#4 17-Jun-2019 10:12:59

arkeon
Admin. / Scol language & OpenSpace3D developer
From: Nantes
Registered: 30-Mar-2009
Posts: 4,821
Website

Re: Openspace3D and Linux - Error launching

OS3D editor use the scol lib for 2D api. unfortunately for now we didn't port completely the 2D API on all platforms only basis, enough for OS3D player to launch.

Offline

#5 17-Jun-2019 12:13:07

Xaxou
Member
From: Orléans
Registered: 15-Jun-2019
Posts: 4

Re: Openspace3D and Linux - Error launching

Does that mean that it is at the time being not possible to launch OS3D player under Ubuntu, and that it should be possible when the community would have ported scol lib on all platform (at least Linux)?

I just installed OS3D on another computer with another platform: it works fine, except that it appears to be a bit slow (probably due to the computer). It seems that the matter I described under the first post is not to be tied with the files that can be downloaded, but I've got no idea of the reason why I have this error message under Linux (versions of OS3D and Scol not compatibles)...

Offline

#6 17-Jun-2019 12:43:13

arkeon
Admin. / Scol language & OpenSpace3D developer
From: Nantes
Registered: 30-Mar-2009
Posts: 4,821
Website

Re: Openspace3D and Linux - Error launching

OS3D player is working on LINUX natively (you don't need WINE), you just have to export the OS3D APP for linux platform.

Offline

#7 17-Jun-2019 13:04:21

Xaxou
Member
From: Orléans
Registered: 15-Jun-2019
Posts: 4

Re: Openspace3D and Linux - Error launching

That IS excellent news! But I guess that OS3D editor does not natively work on LINUX, does it? You wrote indeed:
"OS3D editor use the scol lib for 2D api. unfortunately for now we didn't port completely the 2D API on all platforms only basis, enough for OS3D player to launch."

Sorry for the confusion: since I could not install the softwares, I am not sure of "which does what" (Scol, OS3D editor, OS3D player, ...)

Last edited by Xaxou (17-Jun-2019 13:05:34)

Offline

#8 17-Jun-2019 13:05:08

arkeon
Admin. / Scol language & OpenSpace3D developer
From: Nantes
Registered: 30-Mar-2009
Posts: 4,821
Website

Re: Openspace3D and Linux - Error launching

Yes you need a windows machine to make and export the app to all supported devices

Offline

Board footer

Powered by FluxBB